Loading...
Searching...
No Matches
NullFilter Class Reference

A no-op filter that can be used when iterating over all indices. More...

`#include <openvdb/points/IndexIterator.h>`

## Public Member Functions

template<typename LeafT>
void | reset (const LeafT &)

## Static Public Member Functions

static bool | initialized ()
static index::State | state ()
template<typename LeafT>
static index::State | state (const LeafT &)
template<typename IterT>
static bool | valid (const IterT &)

## Detailed Description

A no-op filter that can be used when iterating over all indices.

See also
  points/IndexFilter.h for the documented interface for an index filter

## Member Function Documentation

## initialized()

bool initialized | ( |  | ) |

inlinestatic

## reset()

template<typename LeafT>

void reset | ( | const LeafT & |  | ) |

inline

## state() [1/2]

index::State state | ( |  | ) |

inlinestatic

## state() [2/2]

template<typename LeafT>

index::State state | ( | const LeafT & |  | ) |

inlinestatic

## valid()

template<typename IterT>

bool valid | ( | const IterT & |  | ) |

inlinestatic